-- Adding new default values for the admin_role_type table
INSERT INTO admin_role_type values (10, 'ALL_AND_LR');

alter table organization add column uninstall_code char(8);
COMMENT ON COLUMN organization.uninstall_code is 'Uninstall code for the organization';
--


-- DSER-2249: password reset functionality + password improvements
ALTER TABLE admin_login ADD COLUMN resetcode_expiry timestamp;
ALTER TABLE admin_login ADD COLUMN encryption_algorithm text;
--ALTER TABLE admin_login DROP COLUMN password_reset; -- drop this at next release
ALTER TABLE admin_login ALTER COLUMN password_reset DROP NOT NULL; -- drop not null constraint
ALTER TABLE admin_login ADD COLUMN password_expired BOOLEAN;
UPDATE admin_login SET encryption_algorithm='SHA256' WHERE length(password)!=60 AND password_expired IS NULL; -- extra "IS NULL" condition to make this 0th order idempotent
UPDATE admin_login SET encryption_algorithm='BCRYPT' WHERE length(password)=60 AND password_expired IS NULL;
UPDATE admin_login SET password_expired=false WHERE password_expired IS NULL;
UPDATE admin_login SET encryption_algorithm='SHA256' WHERE password IS NULL; -- catches users in the middle of an (old) password reset flow
--