--
-- Adding new columns to organization for license information and primary flag
--
ALTER TABLE organization
  ADD COLUMN license_endpoints BIGINT NOT NULL DEFAULT 0,
  ADD COLUMN license_expires TIMESTAMP WITH TIME ZONE;

COMMENT ON COLUMN organization.license_endpoints is 'Number of licenses';
COMMENT ON COLUMN organization.license_expires is 'License expiration';

CREATE INDEX device_meta_data_device_id_index ON device_meta_data (device_id);
CREATE INDEX device_meta_data_device_org_meta_data_id_index ON device_meta_data (org_meta_data_id);
CREATE INDEX device_device_owner_id_index ON device (device_owner_id);

-- DSER-3354; performance improvements
CREATE TABLE IF NOT EXISTS mass_management_policy_override (
  device_id BIGINT NOT NULL,
  PRIMARY KEY (device_id)
);

DELETE FROM device_meta_data
WHERE org_meta_data_id IN (SELECT id FROM org_meta_data WHERE key='MACHINE_NAME');

DELETE FROM org_meta_data WHERE  key='MACHINE_NAME';

INSERT INTO mass_management_policy_override (device_id)
SELECT DISTINCT device_id FROM device_meta_data
WHERE org_meta_data_id IN (SELECT id FROM org_meta_data WHERE key='POLICY_OVERRIDE_TRUE');

DELETE FROM device_meta_data WHERE org_meta_data_id IN (SELECT id FROM org_meta_data WHERE  key='POLICY_OVERRIDE_TRUE');

DELETE FROM org_meta_data WHERE key='POLICY_OVERRIDE_TRUE';

DELETE FROM device_groups;