-- Beta roles were intially made without the BETA_ prefix. This script updates the admin_role_type table and org_admin
-- so that users can still use their old log-ins with the proper BETA_ prefix in the role.
-- Also adds the new BETA_PROVISIONING role to manage the level 7 role currently known as GLOBAL_ADMIN
-- This work is tracked in DSER-10698

DO
$do$
BEGIN
IF EXISTS(SELECT name from admin_role_type where name='ADMIN' or name='GLOBAL_ADMIN' or name='VIEW_ALL') THEN
  UPDATE admin_role_type set name='BETA_ADMIN' where name='ADMIN';
  UPDATE org_admin set admin_role='BETA_ADMIN' where admin_role='ADMIN';

  UPDATE admin_role_type set name='BETA_GLOBAL_ADMIN' where name='GLOBAL_ADMIN';
  UPDATE org_admin set admin_role='BETA_GLOBAL_ADMIN' where admin_role='GLOBAL_ADMIN';

  UPDATE admin_role_type set name='BETA_VIEW_ALL' where name='VIEW_ALL';
  UPDATE org_admin set admin_role='BETA_VIEW_ALL' where admin_role='VIEW_ALL';
ELSE
  INSERT INTO admin_role_type SELECT 11, 'BETA_VIEW_ALL' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=11);
  INSERT INTO admin_role_type SELECT 12, 'BETA_GLOBAL_ADMIN' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=12);
  INSERT INTO admin_role_type SELECT 13, 'BETA_ADMIN' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=13);

END IF;
END
$do$;

INSERT INTO admin_role_type SELECT 14, 'BETA_PROVISIONING' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=14);
INSERT INTO admin_role_type SELECT 15, 'BETA_LEVEL_1_ANALYST' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=15);
INSERT INTO admin_role_type SELECT 16, 'BETA_LEVEL_2_ANALYST' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=16);
INSERT INTO admin_role_type SELECT 17, 'BETA_LEVEL_3_ANALYST' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=17);
INSERT INTO admin_role_type SELECT 18, 'BETA_SYSTEM_ADMIN' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=18);
INSERT INTO admin_role_type SELECT 19, 'BETA_SUPER_ADMIN' WHERE NOT EXISTS (SELECT * FROM admin_role_type WHERE role_type_id=19);
