--
-- Drop the old default constraint in org_control_delegation
-- Add new constraint - When a controlled org is deregistered, the related mssp entry will be removed as well
-- NOTE : deregistering an org only removes the entry in org_domain table but not organization table
--
ALTER TABLE org_control_delegation
  DROP CONSTRAINT IF EXISTS org_control_delegation_org_id_fkey;

--
-- The original design is 1 - many mapping for organization - org_domain
-- However the 1 - many mapping is never used
-- adding this unique constraint so that it will be a 1 - 1 mapping
--
ALTER TABLE org_domain
  ADD UNIQUE (org_id);

ALTER TABLE org_control_delegation
  ADD CONSTRAINT org_control_delegation_org_id_fkey FOREIGN KEY (org_id)
    REFERENCES org_domain (org_id)
    ON DELETE CASCADE;