-- DSER-22713 Add a new "version" column to the threathunter rulesets table
ALTER TABLE threathunter_ruleset ADD COLUMN IF NOT EXISTS version varchar(255);
CREATE UNIQUE INDEX IF NOT EXISTS idx_threathunter_ruleset_version ON threathunter_ruleset (version);
ALTER TABLE threathunter_ruleset ADD COLUMN IF NOT EXISTS synced boolean DEFAULT false;

-- From Burt King: Index is not used - we're attempting to improve performance of Postgres internals.
DROP INDEX IF EXISTS idx_dev_device_type_id;

--
-- [START] DSER-23967: add registration id translations
--
CREATE TABLE IF NOT EXISTS registration_id_translation
(
	id VARCHAR NOT NULL
		CONSTRAINT registration_id_translation_pk
			PRIMARY KEY,
	registration_id VARCHAR NOT NULL
);

CREATE UNIQUE INDEX IF NOT EXISTS registration_id_translation_id_uindex
	ON registration_id_translation (id);

CREATE TABLE IF NOT EXISTS registration_id_translation_candidate
(
	device_id BIGINT NOT NULL,
	org_id bigint NOT NULL,
	device_guid VARCHAR NOT NULL,
	registration_password VARCHAR NOT NULL,
	email_id VARCHAR NOT NULL,
	group_name VARCHAR NOT NULL,
	host_name VARCHAR NOT NULL,
	registered BOOLEAN NOT NULL,
	CONSTRAINT registration_id_translation_candidate_pk
		PRIMARY KEY (device_id, org_id, device_guid)
);

CREATE UNIQUE INDEX IF NOT EXISTS registration_id_translation_candidate_device_id_org_id_device_g
	ON registration_id_translation_candidate (device_id, org_id, device_guid);
--
-- [END] DSER-23967: add registration id translations
--
