--
-- CBC-6927 - Adding new connector_identity and connector_identity_log tables
-- The two tables will only be used by Identity Service for the FedRamp initiative
-- And will later be migrated to a separate schema for Commercial, together with the rest of the tables used
-- by the Identity Service.
--

CREATE TABLE IF NOT EXISTS connector_identity
(
    connector_id VARCHAR(16) NOT NULL,
    org_id VARCHAR(64),
    identity_key VARCHAR(64) UNIQUE,
    identity_key_type VARCHAR(16) NOT NULL,
    session_id VARCHAR(64),
    name VARCHAR(128) NOT NULL,
    description VARCHAR(2048) NOT NULL,
    changed_by VARCHAR(128),
    create_time TIMESTAMP NOT NULL,
    last_updated_time TIMESTAMP,
    connector_type VARCHAR(32),
    authorized_ip_addresses VARCHAR(1024),
    PRIMARY KEY (connector_id, org_id)
);

CREATE INDEX IF NOT EXISTS connector_identity_key ON connector_identity(org_id, identity_key);

CREATE TABLE IF NOT EXISTS connector_identity_log
(
    connector_id VARCHAR(16),
    org_id VARCHAR(64),
    last_sim_notification_event_time BIGINT,
    last_sim_notification_event_id VARCHAR(128),
    last_audit_log_event_time BIGINT,
    last_audit_log_event_id VARCHAR(128),
    last_ip_address VARCHAR(1024),
    last_reported_time TIMESTAMP,
    session_start_time TIMESTAMP,
    num_requests BIGINT,
    PRIMARY KEY (connector_id, org_id),
    FOREIGN KEY (connector_id, org_id) REFERENCES connector_identity(connector_id, org_id) ON DELETE CASCADE
);
