-- CBC-26132 Adding ON DELETE CASCADE to dashboard_layout table foreign keys
-- This change is required as deleting users is unsuccessful when the user has
-- custom dashboard layouts saved

ALTER TABLE dashboard_layout
    DROP CONSTRAINT IF EXISTS dashboard_layout_org_id_fkey;

ALTER TABLE dashboard_layout
    DROP CONSTRAINT IF EXISTS dashboard_layout_user_id_fkey;

ALTER TABLE dashboard_layout
    ADD CONSTRAINT dashboard_layout_org_id_fkey FOREIGN KEY (org_id)
        REFERENCES organization(org_id)
        ON DELETE CASCADE;

ALTER TABLE dashboard_layout
    ADD CONSTRAINT dashboard_layout_user_id_fkey FOREIGN KEY (user_id)
        REFERENCES admin_login(login_id)
        ON DELETE CASCADE;