--replace existing indices/constraint with covering indices allowing index-only-scans
--these do not use CONCURRENTLY because hanging sessions (i think from identity) block them indefinitely
CREATE UNIQUE INDEX IF NOT EXISTS idx_device_group_device_unique_device_id
    ON public.device_group_device USING btree
        (device_id ASC NULLS LAST)
    INCLUDE(device_group_id, msm_group_id)
    TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.device_group_device DROP CONSTRAINT IF EXISTS uniq_dgd;


CREATE INDEX IF NOT EXISTS idx_groups_id
    ON public.groups USING btree
        (id ASC NULLS LAST)
    INCLUDE(name);

DROP INDEX IF EXISTS public.groups_id_index;

--replacement index created in previous migration
DROP INDEX IF EXISTS public.org_meta_data_org_id_index;